Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.rete
Class Variable

    java.lang.Object
      org.mindswap.pellet.rete.Variable

All Implemented Interfaces:
  java.lang.Comparable<Variable>, Term

    public class Variable

extends java.lang.Object
implements Term, java.lang.Comparable<Variable>

Title: Variable

Description:

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Constructor Summary
`Variable(java.lang.String variableName)` Creates a variable.

Method Summary
`int` | `compareTo(Variable arg0)`
`boolean` | `equals(java.lang.Object other)` Checks if this variable is equal to some other variable.
`java.lang.String` | `getName()` Returns the name of this variable.
`int` | `hashCode()`
`boolean` | `isVariable()` Return true if term is a variable
`java.lang.String` | `toString()` Converts this variable to a string.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Variable

    public Variable(java.lang.String variableName)

  Creates a variable.

  Parameters:
    `variableName` - the name of the variable

Method Detail

### compareTo

    public int compareTo(Variable arg0)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Variable>`

### equals

    public boolean equals(java.lang.Object other)

  Checks if this variable is equal to some other variable.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `other` - the other object
  Returns:
    `true` if this variable is equal to some other variable

### getName

    public java.lang.String getName()

  Returns the name of this variable.

  Returns:
    the name of this variable

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isVariable

    public boolean isVariable()

  Description copied from interface: `Term`
  Return true if term is a variable

  Specified by:
    `isVariable` in interface `Term`
  Returns:

### toString

    public java.lang.String toString()

  Converts this variable to a string.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the variable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.